Autor Tópico: [RESOLVIDO] Problemas na Instação do IRAMUTEQ  (Lida 383 vezes)

Offline Riverfount

  • Usuário Ubuntu
  • *
  • Mensagens: 37
    • Ver perfil
[RESOLVIDO] Problemas na Instação do IRAMUTEQ
« Online: 14 de Dezembro de 2016, 19:38 »
Prezados,

Segui todos os passos do site para a instação do IRAMUTQ - um aplicativo de Análise de Dados Qualitativa - mas a saída do dpkg -i <nome-do-pacote.deb> é:

Código: [Selecionar]
A seleccionar pacote anteriormente não seleccionado iramuteq.
(Lendo banco de dados ... 479098 ficheiros e directórios actualmente instalados.)
A preparar para desempacotar iramuteq_0.7-alpha2_all.deb ...
A descompactar iramuteq (0.7-alpha2) ...
dpkg: problemas com dependências impedem a configuração de iramuteq:
 iramuteq depende de python-wxgtk2.8 (>= 2.8); porém:
  Pacote python-wxgtk2.8 não está instalado.
 iramuteq depende de python-xlrd (>= 0.6); porém:
  Pacote python-xlrd não está instalado.
 iramuteq depende de python-ooolib; porém:
  Pacote python-ooolib não está instalado.

dpkg: erro ao processar o pacote iramuteq (--install):
 problemas de dependência - deixando desconfigurado
A processar 'triggers' para bamfdaemon (0.5.3+16.10.20160929-0ubuntu1) ...
Rebuilding /usr/share/applications/bamf-2.index...
A processar 'triggers' para gnome-menus (3.13.3-6ubuntu4) ...
A processar 'triggers' para desktop-file-utils (0.23-1ubuntu1) ...
A processar 'triggers' para mime-support (3.60ubuntu1) ...
Erros foram encontrados durante o processamento de:
 iramuteq

Eu instalo os pacotes que diz estarem não instalados, são três: python-wxgtk2.8, python-xlrd e python-ooolib, contudo eu instalo os mesmos mas o pacote python-wxgtk2.8, no sudo apt-get install dá a seguinte saída:
Código: [Selecionar]
Lendo listas de pacotes... Pronto
Construindo árvore de dependências       
Lendo informação de estado... Pronto
O pacote python-wxgtk2.8 não está disponível, mas é referenciado por outro pacote.
Isto pode significar que o pacote está faltando, ficou obsoleto ou
está disponível somente a partir de outra fonte

E: O pacote 'python-wxgtk2.8' não tem candidato para instalação

Blz, não tem o pacote, aí eu descubro que tenho o pacote python-wxgtk3.0, eu o instalo, mas ao tentar instalar o IRAMUTEC diz que:

Código: [Selecionar]
A seleccionar pacote anteriormente não seleccionado iramuteq.
(Lendo banco de dados ... 479147 ficheiros e directórios actualmente instalados.)
A preparar para desempacotar iramuteq_0.7-alpha2_all.deb ...
A descompactar iramuteq (0.7-alpha2) ...
dpkg: problemas com dependências impedem a configuração de iramuteq:
 iramuteq depende de python-wxgtk2.8 (>= 2.8); porém:
  Pacote python-wxgtk2.8 não está instalado.

dpkg: erro ao processar o pacote iramuteq (--install):
 problemas de dependência - deixando desconfigurado
A processar 'triggers' para bamfdaemon (0.5.3+16.10.20160929-0ubuntu1) ...
Rebuilding /usr/share/applications/bamf-2.index...
A processar 'triggers' para gnome-menus (3.13.3-6ubuntu4) ...
A processar 'triggers' para desktop-file-utils (0.23-1ubuntu1) ...
A processar 'triggers' para mime-support (3.60ubuntu1) ...
Erros foram encontrados durante o processamento de:
 iramuteq

Ou seja, apesar de falar que precisa do pacote python-wxgtk2.8 ou mairo, eu instalo o python-wxgtk3.0 e ele não reconhece, como se não tivesse o pacote instalado.

Como posso resolver isso?

Agradeço a ajuda

Vicente Marçal
« Última modificação: 18 de Dezembro de 2016, 13:23 por Riverfount »
Vicente E. R. Marçal

Offline druidaobelix

  • Usuário Ubuntu
  • *
  • Mensagens: 3.908
    • Ver perfil
Re:Problemas na Instação do IRAMUTEQ
« Resposta #1 Online: 17 de Dezembro de 2016, 17:31 »
Então, Vicente Marçal,

Apenas contextualizando para  eventuais leitores, o software IRaMuTeQ, cuja sigla significa "Interface de R pour les Analyses Multidimensionnelles de Textes et de Questionnaires", é um aplicativo que, em linhas gerais, permite fazer análise estatística de textos.

Não conheço o software, não uso, não sei usar, nunca instalei, aliás, nem sabia que existia, entretanto, consegui instalar e parece estar plenamente funcional.

Isso posto, vamos considerar como referência esses três endereços como subsídios de informações.

http://www.iramuteq.org/

https://vps.fmvz.usp.br/CRAN/

http://www.iramuteq.org/documentation/fichiers/tutoriel-en-portugais

Esse último link, que é um documento pdf de título "Tutorial para uso do software de análise textual IRAMUTEQ", informa que ele está precisa do software R, que não sei bem para que serve, mas enfim, precisa. Suponho seja o código que faz o trabalho propriamente dito, do qual o IRaMuTeQ é apenas a gui, isto é, a interface gráfica, e aquele documento ainda dá o endereço de onde obter o tal software R.

Além disso, o site do iramuteq acima, primeiro link, informa (em francês):

Installation

La dernière version d'iramuteq (0.7 alpha 2) a été testée avec R 3.1.2 sous windows Seven et Mac OS X Yosemite et avec la version du dépôt (3.1.1) sous ubuntu 14.10.

No que aqui interessa está dizento que o pacote deb disponível, que é a versão 0.7 alpha 2 está funcional para a versão do Ubuntu 14.10 (que já está fora de linha), portanto, faz supor que seja melhor usar a versão 14.04.5 do Ubuntu, que é uma LTS (suporte de longo prazo) atual.

Assim sendo, com base nesses documentos, usando a versão 14.04.5 do Ubuntu, fiz os seguintes passos para instalar:

Habilite um repositório de onde possa baixar e instalar o tal software R.
Dos vários endereços disponíveis usei esse abaixo da USP, evidentemente para o trusty que é a versão 14.04 do Ubuntu.

Crie um arquivo para registrar o repositório:

Código: [Selecionar]
sudo gedit /etc/apt/sources.list.d/cran.list
Coloque nesse arquivo a linha abaixo:

Citar
deb https://vps.fmvz.usp.br/CRAN/bin/linux/ubuntu trusty/

Salvar e sair

Acrescente a chave de verificação e atualize a souces.list do apt:

Código: [Selecionar]
sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-keys E084DAB9
Código: [Selecionar]
sudo apt update
Possivelmente bastará atualizar o apt através do upgrade, porém como fiz isso tudo usando uma instalação provisário, um live-iso, isto é, não se tratava de uma instalação real, não deu para verificar se realmente é suficiente (porque não dá para realmente fazer o upgrade num live-iso). Em todo caso experimente:

Código: [Selecionar]
sudo apt upgrade
Aqui, dada a limitação mencionada, instalei diretamente fazendo:

Código: [Selecionar]
sudo apt install r-base
Acesse agora a página onde se encontra o deb do IRAMUTEQ

https://sourceforge.net/projects/iramuteq/

baixar o arquivo deb:

iramuteq_0.7-alpha2_all.deb

Entre no diretório onde baixou e faça:

Código: [Selecionar]
sudo dpkg -i iramuteq_0.7-alpha2_all.deb
Vai terminar com uma mensagem de erro:

Errors were encountered while processing:
 iramuteq

Corrija o erro fazendo:

Código: [Selecionar]
sudo apt-get -f install
Nesse ponto estará criado o ícone IRaMuTeQ no Dash, a partir do qual é só chamar.

Ao iniciar o IRaMuTeQ diz que faltam tais e quais base de dados, então é só clicar no OK que ele obtém e atualiza tudo o que diz que precisa.

Depois dessa atualização própria dele, fechei o programa, abri de novo, parece estar tudo funcional, mas realmente não tenho como de fato testar porque não sei usar o programa e não tenho interesse mais imediato por ele.




« Última modificação: 17 de Dezembro de 2016, 17:47 por druidaobelix »
www.arredondar.org.br
Vencedor Desafio de Impacto Social Google 2016!
Você também pode participar e fazer a diferença.

Offline Riverfount

  • Usuário Ubuntu
  • *
  • Mensagens: 37
    • Ver perfil
Re:Problemas na Instação do IRAMUTEQ
« Resposta #2 Online: 17 de Dezembro de 2016, 18:09 »
Prezado Druidaobelix,

Quero agradecer imensamente pelo tempo dispendido ao meu problema, vc trouxe um tutorial muito útil para o processo todo.

Pelo que entendi de tudo, o meu problema está no fato de utilizar o Ubuntu 16.10, coisa que acabei por esequecer de mencionar no post original, fato que peço desculpas. Aí pergunto, meu problema seria, mesmo, por usar uma versão mais recente do Ubuntu? Seria necessário fazer o downgrade de versão para usar o Iramuteq?

Mais uma vez, muito obrigado. O Linux e, no nosso caso o Ubuntu, só é o que é por conta de pessoas como você que se dedicam, em seu tempo livre, a auxiliar aos membros da comunidade.

Abraços,

Vicente Marçal
Vicente E. R. Marçal

Offline druidaobelix

  • Usuário Ubuntu
  • *
  • Mensagens: 3.908
    • Ver perfil
Re:Problemas na Instação do IRAMUTEQ
« Resposta #3 Online: 18 de Dezembro de 2016, 02:20 »
Parece estar funcionando também no Ubuntu 16.04.1 xenial, porém com o uso de um artifício, porque enrosca em uma dependência, embora não devesse estar ocorrendo.

Até a instalação do software R tudo igual, vai sem problemas, evidentemente apenas adequando a sources.list cran.list criada para o xenial:

Citar
deb https://vps.fmvz.usp.br/CRAN/bin/linux/ubuntu xenial/

Faz da mesma forma a chave de verificação, atualizações e instalação do r-base como mencionado no post anterior.

Agora dai em diante faz dessa forma:

Código: [Selecionar]
sudo apt install python-wxgtk3.0 python-xlrd python-ooolib r-cran-rgl
Código: [Selecionar]
sudo dpkg -i --force-depends iramuteq_0.7-alpha2_all.deb
Código: [Selecionar]
sudo gedit /var/lib/dpkg/status
Use as teclas Ctrl F para neste arquivo localizar a entrada iramuteq

Vai encontrar um bloco cuja primeira linha é:

Package: iramuteq

Altere a linha "Depends:" substituindo python-wxgtk2.8 (>= 2.8 ) por python-wxgtk3.0 (>= 3.0), fica assim

Depends: python (>= 2.7), r-base (>= 3.0.0), python-wxgtk3.0 (>= 3.0), python-xlrd (>= 0.6), python-ooolib, r-cran-rgl (>= 0.79)

Salvar e sair

Verifique se as dependências estão resolvidas e corretas:

Código: [Selecionar]
sudo apt-get check
Se estiver tudo correto deve resultar algo assim:

Reading package lists... Done
Building dependency tree       
Reading state information... Done

Não é uma forma tecnicamente correta usar desse artifício, pois a solução mais adequada é recompilar o pacote que está causando o problema, mas enfim, ou é isso ou ir para a versão 14.04.5 do Ubuntu ou aguardar que o desenvolvedor atualize o pacote do IRaMuTeQ

Talvez seja possível usar algo semelhante na versão 16.10, questão de ver, ainda não testei pela falta imediata de um live-iso ou máquina virtual do yakkety

Note que depois de instalado e iniciado o programa pelo ícone correspondente, quando o IRaMuTeQ inicia a atualização própria do database dele é um processo que pode demorar 6 ou 7 minutos processando, até mais, especialmente uma biblioteca que ele chama de igraph fica um longo tempo atualizando, mas enfim, é aguardar até o final do processo sem interromper.

Note que quando digo "parece" que está funcionando é porque se conseguiu instalar, quando clica no ícone o programa abre e depois faz a atualização própria, entretanto, parei nesse ponto que é a instalação propriamente dita, daí em diante não tenho como testar o funcionamento intrínseco, vez que isso dependeria de conhecer o software e ter a habilidade do seu uso, o que não é o caso.
« Última modificação: 18 de Dezembro de 2016, 02:31 por druidaobelix »
www.arredondar.org.br
Vencedor Desafio de Impacto Social Google 2016!
Você também pode participar e fazer a diferença.

Offline druidaobelix

  • Usuário Ubuntu
  • *
  • Mensagens: 3.908
    • Ver perfil
Re:Problemas na Instação do IRAMUTEQ
« Resposta #4 Online: 18 de Dezembro de 2016, 02:40 »
Verifiquei aqui agora, a versão da biblioteca problema é igual no Ubuntu 16.10

python-wxgtk3.0 - Python interface to the wxWidgets Cross-platform C++ GUI toolkit

o que leva a pensar que pode funcionar com o mesmo esquema, questão de testar, lembrando que precisa adequar a sources.list que chamou-se de cran.list para o yakkety

Citar
deb https://vps.fmvz.usp.br/CRAN/bin/linux/ubuntu yakkety/
« Última modificação: 18 de Dezembro de 2016, 02:44 por druidaobelix »
www.arredondar.org.br
Vencedor Desafio de Impacto Social Google 2016!
Você também pode participar e fazer a diferença.

Offline druidaobelix

  • Usuário Ubuntu
  • *
  • Mensagens: 3.908
    • Ver perfil
Re:Problemas na Instação do IRAMUTEQ
« Resposta #5 Online: 18 de Dezembro de 2016, 04:58 »
Pronto, também instalou no Ubuntu 16.10, é só seguir o mesmo esquema da versão 16.04, como já dito, bastando adequar a cran.list para yakkety, o restante é absolutamente igual.

A instalação inicial das bibliotecas próprias do IRaMeTeQ demorou mais de 10 minutos processando.

No mais o software instalou e abre normalmente, sem problemas também no Ubuntu 16.10.

Está melhorando, já descobri que dá para trocar a linguagem da interface do francês para o português indo em Edição/Preferências, funcionou.
www.arredondar.org.br
Vencedor Desafio de Impacto Social Google 2016!
Você também pode participar e fazer a diferença.

Offline Mario Limão

  • Usuário Ubuntu
  • *
  • Mensagens: 128
  • Gremista, Arquiteto, Monarquista-Absolutista
    • Ver perfil
Re:Problemas na Instação do IRAMUTEQ
« Resposta #6 Online: 18 de Dezembro de 2016, 09:50 »

Prezado Druidaobelix,
Quero agradecer imensamente pelo tempo dispendido ao meu problema, vc trouxe um tutorial muito útil para o processo todo.
Mais uma vez, muito obrigado. O Linux e, no nosso caso o Ubuntu, só é o que é por conta de pessoas como você que se dedicam, em seu tempo livre, a auxiliar aos membros da comunidade.


Aplausos ao professor!
Começou a estudar e instruir as 17:31, tarde de sábado, e concluiu as 04:58 da madrugada de domingo. Sem palavras. Também digo: OBRIGADO!
Até!
Ubuntu 14.04.5-LTS;  Desktop Amazon; Intel Core 2 Duo CPU E4500 @ 2.20 GHz x2; 4 GB; Intel 945Gx86/MM/SSE2; 32-Bit; 160GB.

Offline Riverfount

  • Usuário Ubuntu
  • *
  • Mensagens: 37
    • Ver perfil
Re:Problemas na Instação do IRAMUTEQ
« Resposta #7 Online: 18 de Dezembro de 2016, 13:26 »
Pronto, também instalou no Ubuntu 16.10, é só seguir o mesmo esquema da versão 16.04, como já dito, bastando adequar a cran.list para yakkety, o restante é absolutamente igual.

A instalação inicial das bibliotecas próprias do IRaMeTeQ demorou mais de 10 minutos processando.

No mais o software instalou e abre normalmente, sem problemas também no Ubuntu 16.10.

Está melhorando, já descobri que dá para trocar a linguagem da interface do francês para o português indo em Edição/Preferências, funcionou.

Prezado Druidaobelix, muito obrigado mesmo por sua ajuda!

Segui suas orientações para o Ubuntu 16.10 e Instalou tranquilo. Agora vou lidar com o Sofware para ver se todas as funcionalidades dele estão ok, mas isso é outra questão a da instação você matou a pau!

Grande abraço e muito obrigado.

Vicente Marçal
Vicente E. R. Marçal